Bug 727494 - [RFE] warn if user wants to re-report the same problem
Summary: [RFE] warn if user wants to re-report the same problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Denys Vlasenko
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-08-02 10:00 UTC by Yogesh
Modified: 2013-03-01 05:10 UTC (History)
10 users (show)

Fixed In Version: abrt-2.0.8-1.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:03:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description Yogesh 2011-08-02 10:00:43 UTC
Description of problem:
I have seen one customer has reported single crash thrice. Case 00513042, 00513043, 00513494. All of them are from same client, same timestamp and same backtrace. Is ABRT supposed to allow report same issue more than once? IS this expected behaviour?


Version-Release number of selected component (if applicable):
abrt-1.1.16

How reproducible:
alway

Steps to Reproduce:
1. Open abrt-gui
2. Select first crash
3. Report it via 'RHTSupport'
4. Select first crash again
5. Again report via 'RHTSupport'.
  
Actual results:
ABRT allows to report same crash again.

Expected results:
There should be some mechanism to map crash and support case number. So that client refers particular crash with associated support case number and client is not allowed to create new case for same crash.

Additional info:

Comment 1 Jiri Moskovcak 2011-08-02 12:26:42 UTC
Yes, ABRT allows to report the same crash many times, I think we should implement dupe checking similar to bugzilla, so customers can find duplicates at least in their tickets.

Comment 2 Andrew Hecox 2011-08-02 13:34:07 UTC
I agree with what Jiri said -- we should be de-duplicating that behind the scenes, although maybe we can make that more visible to the customer.

Did the customer report the crash each time from the same system?

Comment 3 Nikola Pajkovsky 2011-08-24 13:53:32 UTC
yes, and for abrt we should have the the message "You've already reported the issue/bug. Do you want to report it once more?"

Comment 4 Andrew Hecox 2011-08-24 14:08:31 UTC
if report submits the problem report and we can return an arbitrary response, we could include this.

Eg, suggested KBase: article-123, also, you've already reported this problem in case-234, do you want to add this data to this case?

We can look that up server-side, although we'll need to scope out the work if we want to go down that path...

Comment 5 Denys Vlasenko 2011-11-01 16:46:41 UTC
Fixed in git:

commit 7d86e14ae0d5899eac823f22f111253c6b829a5e
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Tue Nov 1 17:41:39 2011 +0100

    reporter-bugzilla/rhts: add code to prevent duplicate reporting. Closes rhbz#727494

    Option -f override this check. For now, I added the option
    to default config files - meaning that the behavior don't change.

Comment 6 Denys Vlasenko 2011-11-03 18:27:04 UTC
Improvement:

commit aded0a7f67d3ccd87f5dfc2cf9c0aa165af4af89
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Thu Nov 3 18:19:29 2011 +0100

    reporter-{bugzilla,rhtsupport}: if already reported, don't abort, but ask.

Comment 13 errata-xmlrpc 2012-06-20 07:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.